Bug 18571 - koha-conf.xml should include ES entry
Summary: koha-conf.xml should include ES entry
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 19739
  Show dependency treegraph
 
Reported: 2017-05-10 15:27 UTC by Tomás Cohen Arazi
Modified: 2018-05-30 13:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18571: Add default ES configuration to koha-conf-site.xml.in (1.72 KB, patch)
2017-05-10 19:12 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18571: Add default ES configuration to koha-conf-site.xml.in (1.78 KB, patch)
2017-05-12 14:15 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 18571: Add default ES configuration to koha-conf-site.xml.in (1.83 KB, patch)
2017-05-15 15:43 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-05-10 15:27:24 UTC
Elasticsearch as a search engine has become a real option. Switching from Zebra into ES is syspref handled.
Koha instances should get created with an ES config entry poiting to localhost:9200 to make it easier for users to try it.

Advanced users (having external ES servers/clusters can tweak themselves the file, but we need to provide a working setup for regular users.
Comment 1 Tomás Cohen Arazi 2017-05-10 19:12:41 UTC
Created attachment 63368 [details] [review]
Bug 18571: Add default ES configuration to koha-conf-site.xml.in

This patch adds a default configuration entry for elasticsearch. It will
add localhost:9200 to the server subsection, and koha_instance (replacing instance
for the corresponding instance name) for the namespace.

To test:
- Apply the patch
- Copy the file to the /etc/koha dir:
  $ sudo cp kohaclone/debian/templates/koha-conf-site.xml.in /etc/koha
- Create a new instance:
  $ sudo koha-create --create-db test
=> SUCCESS: /etc/koha/sites/test/koha-conf.xml includes the mentioned section:

 <elasticsearch>
     <server>localhost:9200</server>
     <index_name>koha_test</index_name>
 </elasticsearch>

- Sign off :-D

Note: As the use of ES is syspref driven, this default entry doesn't have any use
until ES is installed and SearchEngine set to Elasticsearch. So it doesn't hurt
but will help end users test the ES integration. Advanced users will take care of
this config entry manually (pointing to external servers/clusters, etc).
Comment 2 Mirko Tietgen 2017-05-12 14:15:44 UTC
Created attachment 63444 [details] [review]
Bug 18571: Add default ES configuration to koha-conf-site.xml.in

This patch adds a default configuration entry for elasticsearch. It will
add localhost:9200 to the server subsection, and koha_instance (replacing instance
for the corresponding instance name) for the namespace.

To test:
- Apply the patch
- Copy the file to the /etc/koha dir:
  $ sudo cp kohaclone/debian/templates/koha-conf-site.xml.in /etc/koha
- Create a new instance:
  $ sudo koha-create --create-db test
=> SUCCESS: /etc/koha/sites/test/koha-conf.xml includes the mentioned section:

 <elasticsearch>
     <server>localhost:9200</server>
     <index_name>koha_test</index_name>
 </elasticsearch>

- Sign off :-D

Note: As the use of ES is syspref driven, this default entry doesn't have any use
until ES is installed and SearchEngine set to Elasticsearch. So it doesn't hurt
but will help end users test the ES integration. Advanced users will take care of
this config entry manually (pointing to external servers/clusters, etc).

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 3 Nick Clemens 2017-05-15 15:43:49 UTC
Created attachment 63482 [details] [review]
Bug 18571: Add default ES configuration to koha-conf-site.xml.in

This patch adds a default configuration entry for elasticsearch. It will
add localhost:9200 to the server subsection, and koha_instance (replacing instance
for the corresponding instance name) for the namespace.

To test:
- Apply the patch
- Copy the file to the /etc/koha dir:
  $ sudo cp kohaclone/debian/templates/koha-conf-site.xml.in /etc/koha
- Create a new instance:
  $ sudo koha-create --create-db test
=> SUCCESS: /etc/koha/sites/test/koha-conf.xml includes the mentioned section:

 <elasticsearch>
     <server>localhost:9200</server>
     <index_name>koha_test</index_name>
 </elasticsearch>

- Sign off :-D

Note: As the use of ES is syspref driven, this default entry doesn't have any use
until ES is installed and SearchEngine set to Elasticsearch. So it doesn't hurt
but will help end users test the ES integration. Advanced users will take care of
this config entry manually (pointing to external servers/clusters, etc).

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Kyle M Hall 2017-05-17 13:59:11 UTC
Pushed to master for 17.05, thanks Tomas!
Comment 5 Katrin Fischer 2017-05-21 20:53:16 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.